В модуле Linux snd-usbmidi-lib обнаружена уязвимость, из-за которой стало возможно запустить код с правами ядра при наличии у злоумышленника физического доступа к компьютеру.

Для успешной атаки нужно подключить специальное USB-устройство, которое передаст некорректные параметры USB, и запустить эксплоит из-под непривилегированного пользователя.

Уязвимости подвержены ядра в большинстве дистрибутивов, проблема исправлена в 4.5-rc4. Также проблему можно решить отключив модуль ядра usb-audio.

Оригинал